# SlicedSetGhosts

Sets the global indices of other processes elements that will be ghosts on this process

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode PETSCDM_DLLEXPORT SlicedSetGhosts(Sliced slice,PetscInt bs,PetscInt nlocal,PetscInt Nghosts,const PetscInt ghosts[])

Not Collective

### Input Parameters

| slice | - the Sliced object
| bs | - block size
| nlocal | - number of local (non-ghost) entries
| Nghosts | - number of ghosts on this process
| ghosts | - indices of all the ghost points

### See Also

SlicedDestroy(), SlicedCreateGlobalVector(), SlicedGetGlobalIndices()

Level:advanced
Location: src/dm/da/utils/sliced.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages